Package com.arms.api.jira.jiraproject_pure.service

## Class JiraProjectPureImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.jira.jiraproject_pure.service.JiraProjectPureImpl

- All Implemented Interfaces:
    `JiraProjectPure`, `TreeService`

      @Service("jiraProjectPure")
      public class JiraProjectPureImpl
      extends TreeServiceImpl
      implements JiraProjectPure

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraProjectPureImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<JiraProjectPureEntity>` | `getJiraProjects()` |
    `java.util.List<JiraProjectPureEntity>` | `getJiraProjects​(java.util.List<java.lang.Long> ids)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### JiraProjectPureImpl

          public JiraProjectPureImpl()

  - ### Method Detail

    - #### getJiraProjects

          public java.util.List<JiraProjectPureEntity> getJiraProjects()
                                                                throws java.lang.Exception

      Specified by:
        `getJiraProjects` in interface `JiraProjectPure`
      Throws:
        `java.lang.Exception`

    - #### getJiraProjects

          public java.util.List<JiraProjectPureEntity> getJiraProjects​(java.util.List<java.lang.Long> ids)
                                                                throws java.lang.Exception

      Specified by:
        `getJiraProjects` in interface `JiraProjectPure`
      Throws:
        `java.lang.Exception`